Subject: Re: gdbm GNU library.

From: Jan Wielemaker <[email-masked]>
Date: Mon, 14 Jun 1999 11:07:37 +0200

On Mon, 14 Jun 1999, Oscar Alejandro Ferrer Bernal wrote:
>I am having problems loading a Win32 DLL on SWI-Prolog 3.2.6:
>
>        The problem is using the gdbm GNU library.
>
>         When I use the gdbm_open (the function to open the database
>file)function, the value returned
>by that is NULL, then, the function cannot open the file.
>        I originally wrote the program in a Unix system where the
>program ran well,
>but rewriting the program to a Win32 system I had these problem.
>
>        The path of the file to be opened is right, could be the memory
>management done by the GDBM.lib?
>
>        I have used Visual C++ 5.0 to compile it and a GDBM library for
>win32

In any case, this doesn't look like a SWI-Prolog problem.  I never used
gdbm, so I can't comment.  To be completely sure, just write a minimal
C-program and work from there is the only advice I can think of.

	--- Jan